/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.math.BigDecimal;

/**
 * Model89
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model89 {
  @SerializedName("Description_of_claimed_costs")
  private String descriptionOfClaimedCosts = null;

  @SerializedName("Amount_Claimed")
  private BigDecimal amountClaimed = null;

  public Model89 descriptionOfClaimedCosts(String descriptionOfClaimedCosts) {
    this.descriptionOfClaimedCosts = descriptionOfClaimedCosts;
    return this;
  }

   /**
   * Get descriptionOfClaimedCosts
   * @return descriptionOfClaimedCosts
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getDescriptionOfClaimedCosts() {
    return descriptionOfClaimedCosts;
  }

  public void setDescriptionOfClaimedCosts(String descriptionOfClaimedCosts) {
    this.descriptionOfClaimedCosts = descriptionOfClaimedCosts;
  }

  public Model89 amountClaimed(BigDecimal amountClaimed) {
    this.amountClaimed = amountClaimed;
    return this;
  }

   /**
   * Get amountClaimed
   * @return amountClaimed
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getAmountClaimed() {
    return amountClaimed;
  }

  public void setAmountClaimed(BigDecimal amountClaimed) {
    this.amountClaimed = amountClaimed;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model89 model89 = (Model89) o;
    return Objects.equals(this.descriptionOfClaimedCosts, model89.descriptionOfClaimedCosts) &&
        Objects.equals(this.amountClaimed, model89.amountClaimed);
  }

  @Override
  public int hashCode() {
    return Objects.hash(descriptionOfClaimedCosts, amountClaimed);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model89 {\n");
    
    sb.append("    descriptionOfClaimedCosts: ").append(toIndentedString(descriptionOfClaimedCosts)).append("\n");
    sb.append("    amountClaimed: ").append(toIndentedString(amountClaimed)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

